package cn.iocoder.yudao.module.delivery.convert;

import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisExcelResp;
import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisResp;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;

import java.util.List;

/*
 model类型转换
 https://www.cnblogs.com/DDgougou/articles/13365277.html
 */
@Mapper(unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface CustomerAnalysis {
    /*****转换MapStruct*****/
    CustomerAnalysis INSTANCE = Mappers.getMapper(CustomerAnalysis.class);

    // @Mapping(target = "salesmanid", ignore = true)
    // @Mapping(source = "salesmanid",target ="salesmanid",ignore = true)
    CustomerAnalysisExcelResp convert(CustomerAnalysisResp bean);

    List<CustomerAnalysisExcelResp> convertList(List<CustomerAnalysisResp> list);
}
