package cn.iocoder.yudao.module.delivery.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/*
 客户看板结果
 */
@ApiModel("管理后台-客户看报表结果")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerReportResp {

    //同比，和上一年的比较
    //环比 和上一个月的比较

    /*
     客户编号
     */
    private String number;

    /*
     客户姓名
     */
    private String name;

    /*
     客户经理姓名
     */
    private String salesman;

    /*
    客户经理ID
    customer_service 客户表中的跟进客服
     */
    private String salesmanid;


    /*
    总值，海运拼柜，专线空运
    */
    private BigDecimal allsumvolume;
    /*
     总值同比
     */
    private BigDecimal allsumvolumeTb;

    private String allsumvolumeTbMsg;

    /*
     海运拼柜
     */
    private BigDecimal sumvolume1;
    private BigDecimal sumvolumeTb1;

    /*
     海运拼柜占比
     */
    private String seaZb;


    /*
    专线空运
     */
    private BigDecimal sumweight3;
    private BigDecimal sumweightTb3;
    /*
    空运占比
     */
    private String airZb;

    private String deptname;

    /*
     对比年份
     */
    private String duibiYear;

}
