package cn.iocoder.yudao.module.delivery.entity;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * V值转换配置参数(EcwVz)实体类
 *
 * @author
 * @since 2024-04-02 22:38:22
 */

@TableName("ecw_vz")
@Data
@EqualsAndHashCode(callSuper = true)
public class EcwVz extends BaseDO {

    private Long id;
    /**
     * 运输方式
     */
    private String titleZh;
    /**
     * 英文名称
     */
    private String titleEn;

    /**
     * 单位符号 KG,M3 立方
     */
    private String fuhao;

    /*
      1KG对应的VZ，1立方对应的V值
     */
    private float vz;
    /**
     * 0显示 1不显示
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer aorder;

}


