package cn.iocoder.yudao.module.delivery.entity;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * (Employee)实体类
 *
 * @author
 * @since 2024-03-27 21:25:55
 */

@TableName("employee")
@Data
@EqualsAndHashCode(callSuper = true)
public class Employee extends BaseDO {

    /**
     * 员工编号
     */
    private Long id;
    /**
     * 姓名
     */
    private String name;
    /**
     * 性别
     */
    private String empGender;
    /**
     * 年龄
     */
    private Integer age;
    /**
     * 电子邮件
     */
    private String email;

}


