package cn.iocoder.yudao.module.delivery.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

@Data
public class SalesAnalysisExcelResp {
    /*
    排名编号
    */
    private  int px;
    @ExcelProperty("排名")


    /*
     订单编号
     */
    private String orderNo;
    @ExcelProperty("订单编号")

    /*
    提单号
     */
    private String tidanNo;
    @ExcelProperty("提单号")

    /*
     订单发货人编号
     */
    private String orderConsignorName;
    @ExcelProperty("发货人名称")

    /*
     订单发货人客户ID,用户链接
     */
    private String orderConsignorCusId;


    /*
     订单收货人名称
     */
    @ExcelProperty("订单收货人名称")
    private String orderConsigneeName;


    /*
     订单收货人客户编号，用于链接
     */
    private String orderConsigneeCusId;

    /*
     客户经理
     */
    private String salesmanid;

    @ExcelProperty("客户经理")
    private String salesmanidName;

    /*
     订单状态
     */
    private String status;

    @ExcelProperty("订单状态")
    private String statusName;

    /*
     运输方式
     */
    private String transportId;
    @ExcelProperty("运输方式")
    private String transportIdName;

    /*
    始发仓
     */
    @ExcelProperty("始发仓")
    private String startwarehousename;

    /*
     目的国
     */

    /*
    目的城市
     */

    /*
    目的仓
     */
    @ExcelProperty("目的仓")
    private String dstwarehousename;

    /*
    渠道
     */
    private  String channelid;
    @ExcelProperty("渠道")
    private  String channelidName;

    /*
    唛头
     */
    @ExcelProperty("唛头")
    private String marks;


    /*
     入仓箱数
     */
    @ExcelProperty("入仓箱数")
    private String sumquantity;

    /*
     入仓体积
     */
    @ExcelProperty("入仓体积")
    private String sumvolume;

    /*
     入仓重量
     */
    @ExcelProperty("入仓重量")
    private  String sumweight;


    /*
     是否控货
     */
    @ExcelProperty("是否控货")
    private  String iscargocontrol;

    /*
    创建时间
     */
    @ExcelProperty("创建时间")
    private String createtime;
}
