package cn.iocoder.yudao.module.delivery.entity;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;


/*
 销售看板查询请求参数
 逻辑数据大部分集中在表 ecw_order
 */
@Schema(description = "管理后台-销售看板查询参数")
@Data
@ToString(callSuper = true)
public class SalesReportReq {

    /*
     时间区间中的月数
     */
    private long sumMonth;

    /*
     销售经理
     */
    private String salesmanid;

    /*
     部门ID
     */
    private String deptid;

    /*
     对比年份
     */
    private String duibiYear;

    /*
     统计年份
     */
    private String curYear;

    /*
     开始日期
     */
    private String sDate;
    private String sDuiBiDate;
    /*
     环比日期
     */
    private String sHuanBiDate;

    private Date dS;
    private Date dE;

    private Date dTbS;
    private Date dTbE;

    private Date dHbS;
    private Date dHbE;

    /*
     结束日期
     */
    private String eDate;
    private String eDuiBiDate;
    /*
     环比日期
     */
    private String eHuanBiDate;
}
