package cn.iocoder.yudao.module.delivery.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@ApiModel("管理后台 -销售看板查询结果")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalesReportRespAll {
    /*
    统计月份
    */
    private String strMonth;

    /*
     当前值
     */
    private BigDecimal curValue;
    private BigDecimal curValue1;
    private BigDecimal curValue3;

    /*
    同比值
     */
    private BigDecimal tbValue;
    private String tbShow;

    /*
     海运同比
     */
    private BigDecimal tbValue1;
    private String tbShow1;

    /*
     空运同比
     */
    private BigDecimal tbValue3;
    private String tbShow3;

    /*
    环比值 总值
     */
    private BigDecimal hbValue;
    private String hbShow;

    /*
     海运环比
     */
    private BigDecimal hbValue1;
    private String hbShow1;

    /*
     空运环比
     */
    private BigDecimal hbValue3;
    private String hbShow3;
}
