package cn.iocoder.yudao.module.delivery.entity.orderdata;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 订单业务数据")
@Data
@ToString(callSuper = true)
public class view_order_businesstime {

    private int orderid;

    private String orderno;

    private String tidanno;

    private String transportid;

    /*
    客户id
     */
    private String customerid;

    /*
    是否控货
     */
    private String iscargocontrol;

    private String ordertype;

    private String businesstime;

    private int chargequantity;

    private int picknum;

    private BigDecimal chargevolume;
    private BigDecimal chargeweight;

    private BigDecimal vz;

}
