package cn.iocoder.yudao.module.delivery.listener;

import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

@Component("TestListener")
@AllArgsConstructor
@Slf4j
public class TestListener {

    /*
     监听指定类的消息
     */
    @EventListener(TestEvent.class)
    public void TestEventFun(
            TestEvent event) {
        System.out.println("测试监听:"+event);

    }
}
