package cn.iocoder.yudao.module.delivery.mapper;

import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.delivery.entity.EcwVz;
import cn.iocoder.yudao.module.delivery.entity.EcwVzPageReq;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;

import java.util.List;

/**
 * V值转换配置参数(EcwVz)表数据库访问层
 *
 * @author
 * @since 2024-04-02 22:38:22
 */
@Mapper
public interface EcwVzMapper extends BaseMapperX<EcwVz> {

    default List<EcwVz> selectList(EcwVz QueryReq) {
        return selectList(new LambdaQueryWrapperX<EcwVz>());
    }

    default PageResult<EcwVz> selectPage(EcwVzPageReq PageReq) {
        return selectPage(PageReq, new LambdaQueryWrapperX<EcwVz>()
                .likeIfPresent(EcwVz::getTitleZh, PageReq.getTitleZh())
                .likeIfPresent(EcwVz::getFuhao, PageReq.getFuhao())
        );
    }

    /*
     实现物理删除
     */
    int deleteById2(Long id);

}


