package cn.iocoder.yudao.module.delivery.service.Impl;

import cn.iocoder.yudao.framework.apollo.core.event.Customer.CalculateCustomerTypeEvent;
import cn.iocoder.yudao.framework.apollo.core.event.Customer.ReceiveCustomerCalTypeEvent;
import cn.iocoder.yudao.module.delivery.entity.orderdata.OrderExt;
import cn.iocoder.yudao.module.delivery.mapper.OrderExtMapper;
import cn.iocoder.yudao.module.delivery.service.OrderServiceExt;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("OrderServiceExt")
public class OrderServiceExtImpl implements OrderServiceExt {

    @Autowired
    private OrderExtMapper orderExtMapper;

    /*
   客户为发货方是否有订单
   */

    public int IsHavingOrderConsignor(ReceiveCustomerCalTypeEvent event) {
        return orderExtMapper.IsHavingOrderConsignor(event);
    }

    /*
     客户为收货方是否有订单
     */

    public int IsHavingOrderConsignee(ReceiveCustomerCalTypeEvent event) {
        return orderExtMapper.IsHavingOrderConsignee(event);
    }

    /*
     上面2个函数废弃不用了，用此函数来判断客户是否已经产生了订单
     */


    public int IsHavingOrder(ReceiveCustomerCalTypeEvent event) {
        return orderExtMapper.IsHavingOrder(event);
    }

    public int IsHavingOrder(CalculateCustomerTypeEvent event) {
        return orderExtMapper.IsHavingOrder(event);
    }

}
