package cn.iocoder.yudao.module.delivery.task;

import cn.hutool.core.util.StrUtil;
import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.framework.tenant.core.job.TenantJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;

/*
  测试定时任务
 */
@Component
@TenantJob
@Slf4j
public class ReportTask implements JobHandler {

    @Override
    public String execute(String param) throws Exception {
        int var1 = 30;
        int var2 = 3;
        int var3 = 6;
        if (StringUtils.isNotBlank(param)){
            String[] vars = param.split(StrUtil.COMMA);
            if (vars.length > 0){
                var1 = Integer.parseInt(vars[0]);
            }
            if (vars.length > 1){
                var2 = Integer.parseInt(vars[1]);
            }
            if (vars.length > 2){
                var3 = Integer.parseInt(vars[2]);
            }
        }

        System.out.println("定时任务参数:" + param);

        return "";
    }
}
