package cn.iocoder.yudao.module.delivery.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CustomerAnalysisExcelResp {

    /*
     排名编号
     */
    @ExcelProperty("排名编号")
    private  int px;

    /*
     客户编号
     */
    @ExcelProperty("客户编号")
    private String number;

    /*
     客户姓名
     */
    @ExcelProperty("客户姓名")
    private String name;

    /*
     客户经理姓名
     */
    @ExcelProperty("客户经理")
    private String salesman;


    /*
    客户经理部门名称
     */
    @ExcelProperty("部门")
    private String deptname;

    /*
     总值，海运拼柜，专线空运
     */
    @ExcelProperty("总V值")
    private BigDecimal allsumvolume;

    /*
      总V值同比显示信息
     */
    @ExcelProperty("总V值同比")
    private String allsumvolumeTbShow;

    /*
     海运拼柜
     */
    @ExcelProperty("海运拼柜")
    private BigDecimal sumvolumeV1;

    /*
    海运占比
     */
    @ExcelProperty("海运占比")
    private String seaZb;

    /*
     海运同比显示
     */
    @ExcelProperty("海运同比")
    private String sumvolumeTbShow1;


    /*
    专线空运V值
     */
    @ExcelProperty("专线空运")
    private BigDecimal sumweightV3;

    /*
    空运占比
     */
    @ExcelProperty("空运占比")
    private String airZb;
    /*
     空运同比显示
     */
    @ExcelProperty("空运同比")
    private String sumweightTbShow3;

    /*
    月均
     */
    @ExcelProperty("月均")
    private String monthAvg;

    /*
     月均同比
     */
    @ExcelProperty("月均同比")
    private String monthAvgTbShow;

    /*
     海运月均方数
     */
    @ExcelProperty("海运月均方数")
    private String seaMonthAvg;

    /*
     海运月均方数同比
     */
    @ExcelProperty("海运月均同比")
    private String seaMonthAvgTb;

    /*
     空运月均重量
     */
    @ExcelProperty("空运月均重量")
    private String airMothAvg;

    /*
     空运月均同比
     */
    @ExcelProperty("空运月均同比")
    private String airMothAvgTb;

    /*
     重货总V值
     */
    @ExcelProperty("重货总V值")
    private BigDecimal weightSumV;

    /*
     重货占比
     */
    @ExcelProperty("重货占比")
    private String weithtSumZb;

    /*
     泡货总V值
     */
    @ExcelProperty("泡货总V值")
    private BigDecimal phSumV;

    /*
     泡货占比
     */
    @ExcelProperty("泡货占比")
    private String phSumZb;

    /*
    控货总V值
     */
    @ExcelProperty("控货总V值")
    private BigDecimal khSumV;

    /*
    控货总占比
     */
    @ExcelProperty("控货占比")
    private String khSumZb;

    /*
     是否首次成交
     */
    @ExcelProperty("是否首次成交")
    private String isFirst;

    /*
     首次成交时间
     */
    @ExcelProperty("首次成交时间")
    private String firstDate;


    /*
     提货率
     */
    @ExcelProperty("提货率")
    private String thL;

    /*
     客户业绩类型
     是否新客户:1是新客户,0是老客户
     */
    @ExcelProperty("客户业绩类型")
    private String cusYjType;

    /*
        客户来源名称
        */
    @ExcelProperty("客户来源")
    private  String sourcename;


    /*
   客户国家
    */
    @ExcelProperty("客户国家")
    private String country;

    /*
    客户角色
    */
    @ExcelProperty("客户角色")
    private String customerrole;

    /*
    客户创建日期
     */
    @ExcelProperty("客户创建日期")
    private String createtime;

}
