package cn.iocoder.yudao.module.delivery.entity;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/*
客户看板请求参数
 */
@Schema(description = "管理后台 - 客户看板查询参数")
@Data
@ToString(callSuper = true)
public class CustomerReportReq extends PageParam {

    private int start;
    private int size;

    /*
     统计开始日期
     */
    private String sDate;
    private String sDuiBiDate;
    private String sHuanhuanBiDate;//环比日期

    /*
    统计结束日期
     */
    private String eDate;
    private String eDuiBiDate;

    private String eHuanBiDate;//环比日期

    /*
    对比年份
    */
    private String duibiYear;
    private String curYear;//统计年份

    /*
    部门ID
    */
    private String deptid;

    /*
    客户经理
   */
    private String salesmanid;


    private Integer pageNo ;


    private Integer pageSize;
}
