package cn.iocoder.yudao.module.delivery.entity;

import java.util.Date;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 报表权限(EcwReportPermission)实体类
 *
 * @author
 * @since 2024-04-09 23:10:39
 */

@TableName("ecw_report_permission")
@Data
@EqualsAndHashCode(callSuper = true)
public class EcwReportPermission extends BaseDO {

    private Long id;
    /**
     * 用户ID
     */
    private String userId;


    /**
     * 权限范围1是本人，2部门，3是全公司
     */
    private Integer permissionFw;


    /**
     * 部门详情
     * 权限类型是本人 此字段为空
     * 权限是部门，部门信息用,分开
     * 权限是全公司，此字段为空
     */
    private String deptId;

    /*
     是否有数据导出权
     */
    private int exportdataq;





}


