package cn.iocoder.yudao.module.delivery.entity;

import java.util.Date;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分页 Request")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class EcwReportPermissionPageReq extends PageParam {

    private int start;
    private int size;

    private String userId; //用户ID


    private Integer permissionFw;//权限范围

    private String deptId; //部门信息
}


