package cn.iocoder.yudao.module.delivery.entity;

import java.util.Date;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分页 Request")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class EcwVzPageReq extends PageParam  {

    /**
     * 运输方式
     */
    private String titleZh;

    /**
     * 单位符号 KG,M3 立方
     */
    private String fuhao;
}


