package cn.iocoder.yudao.module.delivery.entity;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

/*
 */
@Schema(description = "管理后台 - 销售分析查询参数")
@Data
@ToString(callSuper = true)
public class SalesAnalysisReq extends PageParam {

    private int start;
    private int size;

    /*
     运输方式
     1 海运柜拼柜 2海运整柜 3专线空运 4海空联运
     */
    private int transportId;


    /*
    订单编号查询类型
     */
    private String SearchType1;
    /*
     订单编号
     */
    private String orderNo;


    /*
      提单的查询类别
     */
    private String SearchType2;

    /*
     提单编号
    */
    private String tidanNo;


    /*
     发货人编号
     */
    private String SearchType3;
    private String fhNumber;

    /*
     收货人编号
     */
    private String SearchType4;
    private String shNumber;


    /*
         销售经理
      */
    private String salesmanId;

    /*
     部门ID
     */
    private String deptId;

    /*
     唛头查询类型
     */
    private String SearchType5;
    /*
     唛头
     */
    private String marks;

    /*
     订单状态
     */
    private String status;

    /*
     始发仓
     */
    private String startWarehouseId;


    /*
     目的国
     */
    private String muDiGuo;

    /*
    目的城市
     */
    private String muDiShi;

    /*
    目的仓
     */
    private String dstwarehouseid;


    /*
    是否控货
     */
    private int isCargoControl;

    /*
    渠道
     */
    private String shippingChannelId;

    /*
    付款方
    付款人：1 发货人 2 收货人 3 自定义
     */
    private String drawee;

    /*
    重泡货类型
     */
    private String zpType;

    /*
    资源类型
     */
    private String ResourceType;

    /*
    业绩类型
     */
    private String YeJiType;


    /*
    时间筛选类型
     */
    private String dateSearch1;

    /*
    开始时间
     */
    private String sdate1;

    /*
    结束时间
     */
    private String edate2;

    /*
    数据类型筛选
     */
    private String  dataSearch1;

    /*
    比较符号设置
     */
    private String dataSearch2;

    /*
    数据值
     */
    private String dataSearch3;

}
