package cn.iocoder.yudao.module.delivery.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

/*
 model字段中不能有下划线，否则转对象会失败
 */
@ApiModel("管理后台 -销售看板查询结果")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalesReportResp {
    /*
     统计月份
     */
    private String strMonth;

    /*
     当前值
     */
    private BigDecimal curValue;

    /*
    同比值
     */
    private BigDecimal tbValue;
    private String tbShow;

    /*
    环比值
     */
    private BigDecimal hbValue;
    private String hbShow;


}
