package cn.iocoder.yudao.module.delivery.entity.orderdata;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/*

 */
@Schema(description = "管理后台 - 订单汇总数据")
@Data
@ToString(callSuper = true)
public class StatisticalSummary {

    /*
     总汇总数据
     */
    private int sumBox;
    private BigDecimal sumM3;
    private BigDecimal sumKG;
    private BigDecimal sumV;

    /*
    新客户汇总数据
     */
    private int sumBoxNew;
    private BigDecimal sumM3New;
    private BigDecimal sumKGNew;
    private BigDecimal sumVNew;


    /*
     老客户汇总数据
     */
    private int sumBoxOld;
    private BigDecimal sumM3Old;
    private BigDecimal sumKGOld;
    private BigDecimal sumVOld;
}
