package cn.iocoder.yudao.module.delivery.mapper;


import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.iocoder.yudao.module.delivery.entity.Employee;
import cn.iocoder.yudao.module.delivery.entity.EmployeePageReq;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;

import java.util.List;

/**
 * (Employee)表数据库访问层
 *
 * @author
 * @since 2024-03-27 21:25:56
 */
@Mapper
public interface EmployeeMapper extends BaseMapperX<Employee> {

    default List<Employee> selectList(Employee QueryReq) {
        return selectList(new LambdaQueryWrapperX<Employee>());
    }

    default PageResult<Employee> selectPage(EmployeePageReq PageReq) {
        return selectPage(PageReq, new LambdaQueryWrapperX<Employee>());
    }

}


