package cn.iocoder.yudao.module.delivery.mapper;

import cn.iocoder.yudao.framework.apollo.core.event.Customer.CalculateCustomerTypeEvent;
import cn.iocoder.yudao.framework.apollo.core.event.Customer.ReceiveCustomerCalTypeEvent;
import cn.iocoder.yudao.module.delivery.entity.orderdata.OrderExt;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface OrderExtMapper {
    /*
     客户为发货方是否有订单
     */
    int IsHavingOrderConsignor(ReceiveCustomerCalTypeEvent event);

    /*
     客户为收货方是否有订单
     */
    int IsHavingOrderConsignee(ReceiveCustomerCalTypeEvent event);

    /*
     上面2个函数废弃不用了，用此函数来判断客户是否已经产生了订单
     */
    int IsHavingOrder(ReceiveCustomerCalTypeEvent event);

    int IsHavingOrder(CalculateCustomerTypeEvent event);

}
