package cn.iocoder.yudao.module.delivery.mapper;

import cn.iocoder.yudao.module.delivery.entity.SalesReportReq;
import cn.iocoder.yudao.module.delivery.entity.SalesReportResp;
import cn.iocoder.yudao.module.delivery.entity.SalesReportRespAll;
import org.apache.ibatis.annotations.Mapper;

/**
 * (SalesReport)销售报表
 *
 * @author
 * @since
 */
@Mapper
public interface SalesReportMapper {

    /*
     总值统计
     */
    SalesReportResp SalesReportCount(SalesReportReq Req);

    SalesReportRespAll SalesReportCountAll(SalesReportReq Req);


    /*
     海运统计
     */
    SalesReportResp SalesReportCountSea(SalesReportReq Req);

    /*
     空运统计
     */
    SalesReportResp SalesReportCountAir(SalesReportReq Req);


    int FirstCustomerCount(SalesReportReq Req);

    /*
   统计一段时间内客户成交数目，出重客户

   */
    int CustomerTargetCount(SalesReportReq Req);

}
