package cn.iocoder.yudao.module.delivery.service;

import cn.iocoder.yudao.module.delivery.entity.*;
import cn.iocoder.yudao.module.delivery.entity.bar.CustomerReportBar;
import cn.iocoder.yudao.module.delivery.entity.bar.SalesReportBar;

import java.text.ParseException;
import java.util.List;

public interface SalesReportService {

    SalesReportRespAll SalesReportCountAll(SalesReportReq Req);

    /*
     总值统计
     */
    SalesReportResp SalesReportCount(SalesReportReq Req)
            throws ParseException;

    /*
    海运统计
    */
    SalesReportResp SalesReportCountSea(SalesReportReq Req)
            throws ParseException;

    /*
     空运统计
     */
    SalesReportResp SalesReportCountAir(SalesReportReq Req)
            throws ParseException;


    SalesReportCusTarget FirstCustomerCount(SalesReportReq Req) throws ParseException;


    /*
     统计一段时间内客户成交数目，出重客户
     */
    SalesReportCusTarget CustomerTargetCount(SalesReportReq Req) throws ParseException;

    /*
     获取统计图表数据
     */
    SalesReportBar getCustomerReportBar(SalesReportReq Req) throws ParseException;

     SalesReportReq getReq(SalesReportReq Req) throws ParseException;

}
